org.apache.felix.ipojo.extender.internal.processor

## Class ConfigurationProcessor

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.processor.ConfigurationProcessor

All Implemented Interfaces:
  BundleProcessor, Lifecycle

    public class ConfigurationProcessor
    extends java.lang.Object
    implements BundleProcessor

Processor looking for classes annotated with @Configuration and creating the corresponding instance declaration.

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationProcessor(Log logger)` Creates the configuration processor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is starting.
`void` `deactivate(org.osgi.framework.Bundle bundle)` A bundle is stopping.
`static java.lang.String` `getClassNameFromResource(java.lang.String resource)`
`void` `start()` Start the service.
`void` `stop()` Stop the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationProcessor

    public ConfigurationProcessor(Log logger)

Creates the configuration processor.

Parameters:
  `logger` - the logger.

### Method Detail

#### getClassNameFromResource

    public static java.lang.String getClassNameFromResource(java.lang.String resource)

#### activate

    public void activate(org.osgi.framework.Bundle bundle)

A bundle is starting.

Specified by:
  `activate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### deactivate

    public void deactivate(org.osgi.framework.Bundle bundle)

A bundle is stopping.

Specified by:
  `deactivate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### start

    public void start()

Start the service.

Specified by:
  `start` in interface `Lifecycle`

#### stop

    public void stop()

Stop the service.

This method cleans up all created factories and instances.

Specified by:
  `stop` in interface `Lifecycle`